/*
 * Copyright 2013 Canonical Ltd.
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * telephony-app is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0

Item {
    height: units.gu(4)
    width: parent.width
    property bool refreshed: state == "pulled" ? true : false

    states: [
        State {
            name: "unpulled"; when: listView.contentY >= -units.gu(8)
            PropertyChanges { target: refreshArrow; rotation: 180 }
        },
        State {
            name: "pulled"; when: listView.contentY < -units.gu(8)
            PropertyChanges { target: refreshLabel; text: i18n.tr("Release to refresh...") }
            PropertyChanges { target: refreshArrow; rotation: 0 }
        }
    ]

    Row {
        spacing: units.gu(1)
        height: childrenRect.height
        anchors.centerIn: parent

        Image {
            id: refreshArrow
            source: "images/go-top.png"
            Behavior on rotation { NumberAnimation { duration: 200 } }
        }

        Text {
            id: refreshLabel
            text: i18n.tr("Pull down to refresh...")
            font.family: "Ubuntu"
            font.pixelSize: 18
            color: "gray"
        }
    }
}
